/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { StochRSIIndicatorStrategy } from "./StochRSIIndicatorStrategy";
import { typeGetValue, markType } from "igniteui-react-core/ES2015/type";
export class StochRSIIndicator extends StrategyBasedIndicator {
    get_p3() {
        return new StochRSIIndicatorStrategy();
    }
    get p3() {
        return this.get_p3();
    }
    get_qg() {
        return StochRSIIndicator.$;
    }
    get qg() {
        return this.get_qg();
    }
    get qo() {
        return typeGetValue(this.c(StochRSIIndicator.qp));
    }
    set qo(a) {
        this.h(StochRSIIndicator.qp, a);
    }
    p9() {
        return this.qo;
    }
    qi(a) {
        this.qo = a;
    }
}
StochRSIIndicator.$t = markType(StochRSIIndicator, 'StochRSIIndicator', StrategyBasedIndicator.$);
StochRSIIndicator.qp = StrategyBasedIndicator.ql(14, StochRSIIndicator.$);
